JaxbQueryElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbQueryElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbQueryElement

    public class JaxbQueryElement

extends Object

Java class for query-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="query-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <element name="query-param" type="{http://www.hibernate.org/xsd/hibernate-mapping}query-param-element"/>
           </sequence>
           <attribute name="cache-mode" type="{http://www.hibernate.org/xsd/hibernate-mapping}cache-mode-attribute" />
           <attribute name="cache-region" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="cacheable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="comment" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fetch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="flush-mode" type="{http://www.hibernate.org/xsd/hibernate-mapping}flush-mode-attribute" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="read-only" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Boolean` | `cacheable`
`protected JaxbCacheModeAttribute` | `cacheMode`
`protected String` | `cacheRegion`
`protected String` | `comment`
`protected List<Serializable>` | `content`
`protected String` | `fetchSize`
`protected JaxbFlushModeAttribute` | `flushMode`
`protected String` | `name`
`protected Boolean` | `readOnly`
`protected String` | `timeout`

Constructor Summary
`JaxbQueryElement()`

Method Summary
`JaxbCacheModeAttribute` | `getCacheMode()` Gets the value of the cacheMode property.
`String` | `getCacheRegion()` Gets the value of the cacheRegion property.
`String` | `getComment()` Gets the value of the comment property.
`List<Serializable>` | `getContent()` Gets the value of the content property.
`String` | `getFetchSize()` Gets the value of the fetchSize property.
`JaxbFlushModeAttribute` | `getFlushMode()` Gets the value of the flushMode property.
`String` | `getName()` Gets the value of the name property.
`String` | `getTimeout()` Gets the value of the timeout property.
`boolean` | `isCacheable()` Gets the value of the cacheable property.
`Boolean` | `isReadOnly()` Gets the value of the readOnly property.
`void` | `setCacheable(Boolean value)` Sets the value of the cacheable property.
`void` | `setCacheMode(JaxbCacheModeAttribute value)` Sets the value of the cacheMode property.
`void` | `setCacheRegion(String value)` Sets the value of the cacheRegion property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setFetchSize(String value)` Sets the value of the fetchSize property.
`void` | `setFlushMode(JaxbFlushModeAttribute value)` Sets the value of the flushMode property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setReadOnly(Boolean value)` Sets the value of the readOnly property.
`void` | `setTimeout(String value)` Sets the value of the timeout property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected List<Serializable> content

### cacheMode

    protected JaxbCacheModeAttribute cacheMode

### cacheRegion

    protected String cacheRegion

### cacheable

    protected Boolean cacheable

### comment

    protected String comment

### fetchSize

    protected String fetchSize

### flushMode

    protected JaxbFlushModeAttribute flushMode

### name

    protected String name

### readOnly

    protected Boolean readOnly

### timeout

    protected String timeout

Constructor Detail

### JaxbQueryElement

    public JaxbQueryElement()

Method Detail

### getContent

    public List<Serializable> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``JaxbQueryParamElement``>` `String`

### getCacheMode

    public JaxbCacheModeAttribute getCacheMode()

  Gets the value of the cacheMode property.

  Returns:
    possible object is `JaxbCacheModeAttribute`

### setCacheMode

    public void setCacheMode(JaxbCacheModeAttribute value)

  Sets the value of the cacheMode property.

  Parameters:
    `value` - allowed object is `JaxbCacheModeAttribute`

### getCacheRegion

    public String getCacheRegion()

  Gets the value of the cacheRegion property.

  Returns:
    possible object is `String`

### setCacheRegion

    public void setCacheRegion(String value)

  Sets the value of the cacheRegion property.

  Parameters:
    `value` - allowed object is `String`

### isCacheable

    public boolean isCacheable()

  Gets the value of the cacheable property.

  Returns:
    possible object is `Boolean`

### setCacheable

    public void setCacheable(Boolean value)

  Sets the value of the cacheable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getFetchSize

    public String getFetchSize()

  Gets the value of the fetchSize property.

  Returns:
    possible object is `String`

### setFetchSize

    public void setFetchSize(String value)

  Sets the value of the fetchSize property.

  Parameters:
    `value` - allowed object is `String`

### getFlushMode

    public JaxbFlushModeAttribute getFlushMode()

  Gets the value of the flushMode property.

  Returns:
    possible object is `JaxbFlushModeAttribute`

### setFlushMode

    public void setFlushMode(JaxbFlushModeAttribute value)

  Sets the value of the flushMode property.

  Parameters:
    `value` - allowed object is `JaxbFlushModeAttribute`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isReadOnly

    public Boolean isReadOnly()

  Gets the value of the readOnly property.

  Returns:
    possible object is `Boolean`

### setReadOnly

    public void setReadOnly(Boolean value)

  Sets the value of the readOnly property.

  Parameters:
    `value` - allowed object is `Boolean`

### getTimeout

    public String getTimeout()

  Gets the value of the timeout property.

  Returns:
    possible object is `String`

### setTimeout

    public void setTimeout(String value)

  Sets the value of the timeout property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.